﻿// to_emboxHeight.jsx   Ver.1.1
// 
// すべてのテキストフレーム設定を「仮想ボディの高さ」に変更する
// 
// 「テキストフレーム設定＞ベースラインオプション＞先頭ベースライン位置＞オフセット」を
// 「仮想ボディの高さ」に変更するスクリプト。
//　
// テキストフレームの中に埋め込まれたテキストフレーム、
// グループ化、ロックされていても変更される。
// マスターページのテキストフレームは変更しない。
// 
//
// 2006 (C) Kenjiro Chino

if (app.windows.length > 0) {	// 開いているドキュメントウインドウがあるか
	
	pageObj = app.activeDocument.pages;
	for (i=0; i < pageObj.length; i++)
	{
		// グループ化されているテキストフレームの変更
		for (l=0; l < pageObj[i].groups.length; l++)
		{
			toEMboxHeight(pageObj[i].groups[l].textFrames);
		}
		
		// 単独のテキストフレームの変更
		toEMboxHeight(pageObj[i].textFrames);
	}

} else {
	alert("ファイルを開いてから実行してください。");
}


function toEMboxHeight(textFrames)
{
	for (j=0; j < textFrames.length; j++)
	{
		if (textFrames[j].textFrames.length > 0) {
			//	テキストフレームの中にテキストフレームが埋め込まれていたとき
			for (k=0; k < textFrames[j].textFrames.length; k++)
			{
				txt1 = textFrames[j].textFrames[k];
				txt1.textFramePreferences.firstBaselineOffset = FirstBaseline.emboxHeight;
			}
		}
		txt2 = textFrames[j];
		txt2.textFramePreferences.firstBaselineOffset = FirstBaseline.emboxHeight;
	}
	
	return;
}